Package weka.core.pmml.jaxbbindings

# Class Matrix

java.lang.Object
weka.core.pmml.jaxbbindings.Matrix

public class Matrix extends Object

Java class for Matrix element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Matrix">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice minOccurs="0">
               <group ref="{http://www.dmg.org/PMML-4_1}NUM-ARRAY" maxOccurs="unbounded"/>
               <element ref="{http://www.dmg.org/PMML-4_1}MatCell" maxOccurs="unbounded"/>
             </choice>
             <attribute name="diagDefault" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="kind" default="any">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="diagonal"/>
                   <enumeration value="symmetric"/>
                   <enumeration value="any"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="nbCols" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="nbRows" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="offDiagDefault" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Matrix()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getDiagDefault()`
  Gets the value of the diagDefault property.
  `String`
  `getKind()`
  Gets the value of the kind property.
  `List<MatCell>`
  `getMatCell()`
  Gets the value of the matCell property.
  `BigInteger`
  `getNbCols()`
  Gets the value of the nbCols property.
  `BigInteger`
  `getNbRows()`
  Gets the value of the nbRows property.
  `List<ArrayType>`
  `getNUMARRAY()`
  Gets the value of the numarray property.
  `Double`
  `getOffDiagDefault()`
  Gets the value of the offDiagDefault property.
  `void`
  `setDiagDefault(Double value)`
  Sets the value of the diagDefault property.
  `void`
  `setKind(String value)`
  Sets the value of the kind property.
  `void`
  `setNbCols(BigInteger value)`
  Sets the value of the nbCols property.
  `void`
  `setNbRows(BigInteger value)`
  Sets the value of the nbRows property.
  `void`
  `setOffDiagDefault(Double value)`
  Sets the value of the offDiagDefault property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Matrix

    public Matrix()

- ## Method Details

  - ### getNUMARRAY

    public List<ArrayType> getNUMARRAY()
    Gets the value of the numarray property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the numarray property.

    For example, to add a new item, do as follows:

            getNUMARRAY().add(newItem);

    Objects of the following type(s) are allowed in the list `ArrayType`

  - ### getMatCell

    public List<MatCell> getMatCell()
    Gets the value of the matCell property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the matCell property.

    For example, to add a new item, do as follows:

            getMatCell().add(newItem);

    Objects of the following type(s) are allowed in the list `MatCell`

  - ### getDiagDefault

    public Double getDiagDefault()
    Gets the value of the diagDefault property.
    Returns:
      possible object is `Double`

  - ### setDiagDefault

    public void setDiagDefault(Double value)
    Sets the value of the diagDefault property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getKind

    public String getKind()
    Gets the value of the kind property.
    Returns:
      possible object is `String`

  - ### setKind

    public void setKind(String value)
    Sets the value of the kind property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNbCols

    public BigInteger getNbCols()
    Gets the value of the nbCols property.
    Returns:
      possible object is `BigInteger`

  - ### setNbCols

    public void setNbCols(BigInteger value)
    Sets the value of the nbCols property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getNbRows

    public BigInteger getNbRows()
    Gets the value of the nbRows property.
    Returns:
      possible object is `BigInteger`

  - ### setNbRows

    public void setNbRows(BigInteger value)
    Sets the value of the nbRows property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getOffDiagDefault

    public Double getOffDiagDefault()
    Gets the value of the offDiagDefault property.
    Returns:
      possible object is `Double`

  - ### setOffDiagDefault

    public void setOffDiagDefault(Double value)
    Sets the value of the offDiagDefault property.
    Parameters:
      `value` - allowed object is `Double`